Show / Hide Table of Contents

# Class TunnelConnectSessionEventArgs

A class that wraps the state when a tunnel connect event happen for Explicit endpoints.

##### Inheritance

Object
EventArgs
ProxyEventArgsBase
SessionEventArgsBase
TunnelConnectSessionEventArgs

##### Implements

IDisposable

##### Inherited Members

SessionEventArgsBase.ClientConnectionId
SessionEventArgsBase.ServerConnectionId
SessionEventArgsBase.BufferPool
SessionEventArgsBase.ExceptionFunc
SessionEventArgsBase.TimeLine
SessionEventArgsBase.UserData
SessionEventArgsBase.EnableWinAuth
SessionEventArgsBase.IsHttps
SessionEventArgsBase.ClientLocalEndPoint
SessionEventArgsBase.ClientRemoteEndPoint
SessionEventArgsBase.ClientEndPoint
SessionEventArgsBase.HttpClient
SessionEventArgsBase.WebSession
SessionEventArgsBase.CustomUpStreamProxy
SessionEventArgsBase.CustomUpStreamProxyUsed
SessionEventArgsBase.ProxyEndPoint
SessionEventArgsBase.LocalEndPoint
SessionEventArgsBase.IsTransparent
SessionEventArgsBase.IsSocks
SessionEventArgsBase.Exception
SessionEventArgsBase.Dispose()
SessionEventArgsBase.DataSent
SessionEventArgsBase.DataReceived
SessionEventArgsBase.TerminateSession()
ProxyEventArgsBase.ClientUserData
EventArgs.Empty
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.EventArguments

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class TunnelConnectSessionEventArgs : SessionEventArgsBase, IDisposable

### Properties

| Improve this Doc View Source

#### DecryptSsl

Should we decrypt the Ssl or relay it to server? Default is true.

##### Declaration

    public bool DecryptSsl { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### DenyConnect

When set to true it denies the connect request with a Forbidden status.

##### Declaration

    public bool DenyConnect { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### IsHttpsConnect

Is this a connect request to secure HTTP server? Or is it to some other protocol.

##### Declaration

    public bool IsHttpsConnect { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

### Events

| Improve this Doc View Source

#### DecryptedDataReceived

Fired when decrypted data is received within this session from client/server.

##### Declaration

    public event EventHandler<DataEventArgs> DecryptedDataReceived

##### Event Type

Type | Description
--- | ---
EventHandler<DataEventArgs> |

| Improve this Doc View Source

#### DecryptedDataSent

Fired when decrypted data is sent within this session to server/client.

##### Declaration

    public event EventHandler<DataEventArgs> DecryptedDataSent

##### Event Type

Type | Description
--- | ---
EventHandler<DataEventArgs> |

### Implements

System.IDisposable